//+------------------------------------------------------------------+
//|                                             VMA cross arrows.mq4 |
//|                                           thefxpros@katamail.com |
//+------------------------------------------------------------------+


#property copyright "thefxpros"
#property link      "thefxpros@katamail.com"


#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 C'255,198,198'
#property indicator_color2 C'198,255,198'
#property indicator_color3 Crimson
#property indicator_color4 DarkGreen
#property indicator_color5 LimeGreen
#property indicator_color6 Red
#property indicator_width1 3
#property indicator_width2 3
#property indicator_width3 2
#property indicator_width4 2
#property indicator_width5 3
#property indicator_width6 3

//--------------------------------------------------------

extern int       VMA1_ADXLenght =    2;
extern double    VMA1_Weighting =    2.0;
extern int       VMA1_Length    =    1;
extern int       VMA1_Mode      =    1;

extern int       VMA2_ADXLenght =    2;
extern double    VMA2_Weighting =    3.0;
extern int       VMA2_Length    =    3;
extern int       VMA2_Mode      =    2;


//--------------------------------------------------------

double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];
double arrowUp[];
double arrowDn[];
double trend[];

//--------------------------------------------------------

int init()
{
   IndicatorBuffers(7);
   SetIndexStyle  (0,DRAW_HISTOGRAM);
   SetIndexStyle  (1,DRAW_HISTOGRAM);
   SetIndexBuffer (0,buffer3); 
   SetIndexBuffer (1,buffer4); 
   SetIndexBuffer (2,buffer1);
   SetIndexBuffer (3,buffer2);
   SetIndexBuffer (4,arrowUp); SetIndexStyle(4,DRAW_ARROW); SetIndexArrow(4,159);
   SetIndexBuffer (5,arrowDn); SetIndexStyle(5,DRAW_ARROW); SetIndexArrow(5,159);
   SetIndexBuffer (6,trend); 
   return(0);
}
int deinit()
{
   return(0);
}



//--------------------------------------------------------

int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

 //-------------------------------------------------------- 

   for(i=limit; i>=0; i--)
   {
      buffer1[i] = iCustom(NULL, 0, "MA - fantail vma 3", VMA1_ADXLenght, VMA1_Weighting, VMA1_Length, VMA1_Mode, 0, i);
      buffer2[i] = iCustom(NULL, 0, "MA - fantail vma 3", VMA1_ADXLenght, VMA2_Weighting, VMA2_Length, VMA2_Mode, 0, i);
      buffer3[i] = buffer1[i];
      buffer4[i] = buffer2[i];
      arrowUp[i] = EMPTY_VALUE;
      arrowDn[i] = EMPTY_VALUE;
      trend[i]   = trend[i+1];
         if (buffer1[i]>buffer2[i]) trend[i] =  1;
         if (buffer1[i]<buffer2[i]) trend[i] = -1;
         if (trend[i]!=trend[i+1])
         {
            if (trend[i] ==  1) arrowUp[i] = buffer2[i]-iATR(NULL,0,20,i);
            if (trend[i] == -1) arrowDn[i] = buffer1[i]+iATR(NULL,0,20,i);
         }            
   }
   return(0);
}  